"nach ~/.vim/ftplugin/
"
":setlocal

set equalprg=perltidy\ -q

nmap <C-G>f :call HS_format()<ENTER>
nmap <C-G>p :call HS_pod()<ENTER>
nmap <C-G>c :call HS_check()<ENTER>
nmap <C-G>m :make<ENTER>

command! Tidy :call HS_format()
command! Pod  :call HS_pod()

function! HS_check()
    :w
    :!perl -Mblib -c %
endfunc

function! HS_format()

    let dir = expand("%:p:h")
    let home = fnamemodify($HOME, ":h")
    while dir != home
	let rc = dir . "/.perltidyrc"
	if filereadable(rc) == 1
	    let old = &equalprg
	    echo "using " rc
	    sleep 1
	    let &equalprg = "perltidy -pro=" . rc
	    normal gg=G
	    normal ``
	    let &equalprg = old
	    return
	endif
	let dir = fnamemodify(dir, ":h")
    endwhile
    echo "no .perltidyrc found up the path to " $HOME
   
endfunc

function! HS_pod()
    :!perldoc %
endfunc

" use :make
" for the perlcritic tests
:compiler perlcritic

" vim:ft=vim:
